<?php
#POPUP

if(isset($_GET['ativar_popup'])) {

	$cod 	=	$_GET['ativar_popup'];
	
	mysql_query("UPDATE tb_popup SET status = 1 WHERE cod = $cod");

	mysql_query("UPDATE tb_popup SET status = 2 WHERE cod <> $cod");

	echo "<p class='return-form'> Popup ativado.</p>";
}

if(isset($_GET['desativar_popup'])) {

	$cod 	=	$_GET['desativar_popup'];
	
	mysql_query("UPDATE tb_popup SET status = 2 WHERE cod = $cod");

	echo "<p class='return-form'> Popup desativado.</p>";
}

if(isset($_POST['salvar_popup'])) {
$titulo			=	$_POST['titulo'];
$descricao			=	$_POST['descricao'];
$tipo		=	$_POST['tipo'];
$botao		=	$_POST['botao'];
$exibicoes		=	$_POST['exibicoes'];
$msg_agradecimento		=	$_POST['msg_agradecimento'];
if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/popup/".$arquivo2;
	$destino2		=	$arquivo2;	

}

$insert	= "INSERT INTO tb_popup (tipo, titulo, descricao, text_button, msg_agradecimento, exibicoes, imagem, status) VALUES ($tipo, '$titulo', '$descricao', '$botao', '$msg_agradecimento',$exibicoes, '$destino2', 2)";
if($query	= mysql_query($insert)){
	


	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
	}

echo "<p class='return-form'> Popup cadastrado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR PROFISSIONAL

if(isset($_GET['delpopup'])) {

$delcod			=	$_GET['delpopup'];
$select			=  "SELECT * FROM tb_popup WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem'] <> ""){
unlink("../images/popup/".$sqlsel['imagem']);	 
}

$delete 			= "DELETE FROM tb_popup WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'>Popup excluido.</p>";
	
}



#EDITAR PROFISSIONAL
if(isset($_POST['editar_popup'])){

$cod			=	$_POST['cod'];	
$titulo			=	$_POST['titulo'];
$descricao			=	$_POST['descricao'];
$botao		=	$_POST['botao'];
$exibicoes		=	$_POST['exibicoes'];
$msg_agradecimento		=	$_POST['msg_agradecimento'];
if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto2'];
} else {
	
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).".jpg";
	$destino		=	"../images/popup/".$arquivo2;
	$destino2		=	$arquivo2;	

}

$update	= "UPDATE tb_popup SET titulo = '$titulo', imagem = '$destino2', text_button = '$botao', msg_agradecimento = '$msg_agradecimento', exibicoes = $exibicoes, descricao = '$descricao' WHERE cod = $cod";
echo mysql_error();
if($queryupdate	=	mysql_query($update)){
	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		if($_POST['foto2'] <> ""){
			unlink("../images/popup/".$_POST['foto2']);
		}
	}
	
	echo "<p class='return-form'>Popup alterado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>"; 
	
} }
?>